Markdent::Role::FilterHandler(3pm)

NAME
Markdent::Role::FilterHandler - A role for handlers which act as filters

VERSION
version 0.33

DESCRIPTION
This role implements behavior and interface for filtering handlers. A filter handler takes events and does something to some of them, and then passes them on to another handler.

REQUIRED METHODS

•   $handler->filter_event($event)

    This method will always be called with a single object which does the Markdent::Role::Event role.

    If this method returns a single event, it will be passed on to the next handler. If it does not return an event, the event is dropped from the stream.

ATTRIBUTES
This role provides the following attributes:

  handler
This is a read-only attribute. It is an object which does the Markdent::Role::Handler role.

This is the handler to which the filter passes events after filtering.

BUGS
See Markdent for bug reporting details.

Bugs may be submitted at <https://github.com/houseabsolute/Markdent/issues>.

I am also usually active on IRC as 'autarch' on "irc://irc.perl.org".

SOURCE
The source code repository for Markdent can be found at <https://github.com/houseabsolute/Markdent>.

AUTHOR
Dave Rolsky <autarch@urth.org>

COPYRIGHT AND LICENSE
This software is copyright (c) 2019 by Dave Rolsky.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.

The full text of the license can be found in the LICENSE file included with this distribution.